### Function

# Fwupd Codec string_append_size

#### Declaration [src]

    void
    fwupd_codec_string_append_size (
      GString* str,
      guint idt,
      const gchar* key,
      guint64 value
    )

#### Description [src]

Appends a key and size in bytes to a string.

Available since: | 2.0.0

#### Parameters

`str` | `GString`
| A `GString`.
| The data is owned by the caller of the function.
`idt` | `guint`
| The indent.
`key` | `const gchar*`
| A string to append.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`value` | `guint64`
| Guint64